# Replaces game animations with animations from "replacements.ifp" if the name animation name is the same

import mbase
import manim

replaceAnims = {}
animsInitialised = False

def initAnimations():
    global replaceAnims
    global animsInitialised

    if animsInitialised: return
    else: animsInitialised = True

    animList = manim.loadAnimationFile("replacements.ifp")

    if animList:
        for animType in animList:
            replaceAnims[manim.getAnimName(animType)] = animType
           
def customAnimForAnimType(animType):
    global replaceAnims

    animName = manim.getAnimName(animType)

    if animName in replaceAnims:
        customAnimType = replaceAnims[animName]
        manim.initAnimType(customAnimType, manim.getAnimIndex(animType), manim.getAnimGroupIndex(animType), manim.getAnimFlags(animType))

        return customAnimType
           
def eventInternalBlendAnim(ped, animType, blendSpeed):
    return customAnimForAnimType(animType)
       
def eventInternalAddAnim(ped, animType):
    return customAnimForAnimType(animType)

mbase.registerCallback("eventGameStart", initAnimations)
mbase.registerCallback("eventInternalBlendAnim", eventInternalBlendAnim)
mbase.registerCallback("eventInternalAddAnim", eventInternalAddAnim)
